Subject: Re: driver for et131x?

From: Christoph Hellwig <[email-masked]>
Date: Sat, 5 Jan 2008 08:58:24 +0000

On Fri, Jan 04, 2008 at 11:02:53AM +0100, Manfred Schwarb wrote:
> meanwhile the Agere et1310 chip has grown to a quite popular network
> chip, in laptops as well as for PCI-E cards. The release date of this chip was
> already in June 2004, and still no support in mainline linux.
> 
> There is apparently an opensource driver from Agere which is maintained by
> volunteers at http://sourceforge.net/projects/et131x/
> 
> It seems some distros (e.g. Ubuntu) even patch their kernels with this driver.
> 
> Please consider adding support for this chip in mainline linux.

The driver on the above site would need quite a bit of work to bring it
up to Linux standards.  That work shouldn't be difficult but enough to
keep someone busy for a while.  If you have the hardware I'd be happy yo
guide you through the required work.  Are you interested in taking up
this project?